classification
Title: optparse: "1 2 3" should be seen as one string
Type: Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, draghuram, georg.brandl, gregg.lind
Priority: normal Keywords:

Created on 2008-11-14 00:40 by akuchling, last changed 2010-08-21 23:32 by georg.brandl. This issue is now closed.

Messages (4)
msg75848 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-11-14 00:40
(copied from the Optik bug tracker -- I haven't tried
to replicate this.)
msg75862 - (view) Author: Raghuram Devarakonda (draghuram) (Python triager) Date: 2008-11-14 14:55
I had the same need in my small command line client (that uses Cmd.Cmd)
and I solved it by using shlex.split() instead of regular string split.
I haven't looked at optparse code lately and perhaps it can do the same.
msg77284 - (view) Author: Gregg Lind (gregg.lind) Date: 2008-12-08 03:00
Can you show an example of this not working?  Works fine for me in
2.4/2.5/2.6.
msg114606 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 23:32
Closing due to vague report description.
History
Date User Action Args
2010-08-21 23:32:23georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114606

resolution: out of date
2008-12-08 03:00:23gregg.lindsetnosy: + gregg.lind
messages: + msg77284
2008-11-14 14:55:35draghuramsetnosy: + draghuram
messages: + msg75862
2008-11-14 00:40:46akuchlingcreate